Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228800 - Where's "Always on top" gone
Summary: Where's "Always on top" gone
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 03:43 UTC by Rodd Clarkson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-15 22:31:46 UTC


Attachments (Terms of Use)

Description Rodd Clarkson 2007-02-15 03:43:38 UTC
Description of problem:

I can't seem to set a window as "Always on Top".

There seems to be an option for this if you right click the title bar.  It says
"On Top" but appears to be greyed out on all windows.

It would be useful if this option was available.


Version-Release number of selected component (if applicable):

compiz-0.3.6-2.fc6


Additional info:

This feature would be fantastic visually in compiz.  Items set as "On Top" would
most likely remain in place while the desktop rotate.  It would be a similar
affect to rotating the desktops using <SHIFT><ALT><CTRL><left|right>.  This
would look excellent.

In fact, if might be interesting to have the option to place windows "Always on
the Active desktop" bu not necessary always on top, which would see these
windows staying where they are without having to be focused when you rotate windows.

Comment 1 Kristian Høgsberg 2007-03-29 01:45:01 UTC
Both options should be present in the windows menu now, though no fancy
animations :)  You need the latest libwnck build for this (2.18.0-2.fc7).


Comment 2 Rodd Clarkson 2007-03-29 03:49:50 UTC
I'm still on libwnck-2.18.0-1.fc7 which was the last version pushed to rawhide.

When will 2.18.0-2.fc7 be pushed to rawhide?

Comment 3 Kristian Høgsberg 2007-03-29 16:08:59 UTC
It's in 

  libwnck-2.18.0-2.fc7.i386.rpm

which should be in rawhide now.

Comment 4 Kristian Høgsberg 2007-08-15 22:31:46 UTC
Works for me here, closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.